import * as z from 'zod';
export const PdfGroupFindManyResultSchema = z.object({
  data: z.array(z.object({
  id: z.number().int(),
  title: z.string(),
  titleKey: z.unknown(),
  createdAt: z.date(),
  patientId: z.number().int(),
  patient: z.unknown(),
  pdfs: z.array(z.unknown())
})),
  pagination: z.object({
  page: z.number().int().min(1),
  pageSize: z.number().int().min(1),
  total: z.number().int().min(0),
  totalPages: z.number().int().min(0),
  hasNext: z.boolean(),
  hasPrev: z.boolean()
})
});